> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent List



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/user/get_agent_list/
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/get_agent_list/:
    get:
      tags:
        - User
      summary: Get Agent List
      operationId: get_agent_list_api_v1_user_get_agent_list__get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponsePaginated_IUserRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponsePaginated_IUserRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: ''
        meta:
          additionalProperties: true
          type: object
          title: Meta
          default: {}
        data:
          $ref: '#/components/schemas/PageBase_IUserRead_'
      type: object
      required:
        - data
      title: IGetResponsePaginated[IUserRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PageBase_IUserRead_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/IUserRead'
          type: array
          title: Items
        total:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Total
        page:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Page
        size:
          anyOf:
            - type: integer
              minimum: 1
            - type: 'null'
          title: Size
        pages:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Pages
        previous_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Previous Page
          description: Page number of the previous page
        next_page:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Page
          description: Page number of the next page
      type: object
      required:
        - items
        - total
        - page
        - size
      title: PageBase[IUserRead]
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IUserRead:
      properties:
        first_name:
          type: string
          title: First Name
        last_name:
          type: string
          title: Last Name
        email:
          type: string
          format: email
          title: Email
        is_active:
          type: boolean
          title: Is Active
          default: true
        is_superuser:
          type: boolean
          title: Is Superuser
          default: false
        birthdate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Birthdate
        is_enterprise:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Enterprise
          default: false
        role_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Role Id
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        state:
          anyOf:
            - type: string
            - type: 'null'
          title: State
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        active_billing_plan_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Active Billing Plan Id
        next_billing_plan_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Billing Plan Id
        stripe_customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Customer Id
        stripe_subscription_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Id
        stripe_subscription_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Subscription Status
        stripe_has_payment_method:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Stripe Has Payment Method
          default: false
        is_trial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Trial
          default: false
        used_trial:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Used Trial
          default: false
        is_paying:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Paying
          default: false
        stripe_last_payment_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Stripe Last Payment Date
        billing_updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Billing Updated At
        last_credits_refresh:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Credits Refresh
        next_credits_refresh:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Credits Refresh
        id:
          type: string
          format: uuid
          title: Id
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Follower Count
          default: 0
        following_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Following Count
          default: 0
      additionalProperties: true
      type: object
      required:
        - first_name
        - last_name
        - email
        - id
      title: IUserRead
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````